## 66-service-scandir 0.8.1

=== Makefile ===
#
# This Makefile requires GNU make.
#
# Do not make changes here.
# Use the included .mak files.
#

make_need := 3.81
ifeq "" "$(strip $(filter $(make_need), $(firstword $(sort $(make_need) $(MAKE_VERSION)))))"
fail := $(error Your make ($(MAKE_VERSION)) is too old. You need $(make_need) or newer)
endif

-include config.mak
include package/targets.mak

INSTALL := ./tools/install.sh

install: install-module install-script
install-module: $(MODULE_TARGET:module/%=$(DESTDIR)$(service_directory)/$(package)/%)
install-script: $(SCRIPT_TARGET:module/configure/%=$(DESTDIR)$(service_directory)/$(package)/configure/%)

$(DESTDIR)$(service_directory)/$(package)/%: module/%
	exec $(INSTALL) -D -m 644 $< $@
	sed -i -e 's,%%VERSION%,$(version),' \
		-e "s,%%LIVEDIR%%,$(livedir)," \
		-e "s,%%USER_CONF_DIR%%,$(service_userconf)," \
		-e "s,%%LOGGER%%,$(LOGGER)," \
		-e "s,%%USE_ENVIRONMENT%%,$(USE_ENVIRONMENT)," \
		-e "s,%%VERBOSITY_LEVEL%%,$(VERBOSITY_LEVEL)," \
		-e "s,%%NOTIFY%%,$(NOTIFY)," $@

$(DESTDIR)$(service_directory)/$(package)/configure/%: module/configure/%
	exec $(INSTALL) -D -m 755 $< $@
	sed -i -e 's,%%BINDIR%%,$(bindir),' $@

version:
	@echo $(version)

.PHONY: install version

.DELETE_ON_ERROR:

=== debian/changelog ===
66-service-scandir (0.8.1-1antix2) unstable; urgency=medium

  * add s6-66-init-antix to depends

 -- anticapitalista <antix@operamail.com>  Thu, 09 Oct 2025 19:54:54 +0300

66-service-scandir (0.8.1-1antix1) unstable; urgency=medium

  [ ProwlerGr ]
  * Maintainer postinst & postrm scripts updated.

  [ anticapitalista ]
  * antiX build

 -- anticapitalista <antix@operamail.com>  Thu, 25 Sep 2025 16:24:23 +0300

66-service-scandir (0.8.1-0experimental1) UNRELEASED; urgency=medium

  * Adapted to 66 v(0.8.0.0). 
  * Updated debian/rules

 -- ProwlerGr <Prowler73@gmail.com>  Sat, 05 Apr 2025 22:22:22 +1000

66-service-scandir (0.4.2-0experimental1) UNRELEASED; urgency=medium

  * Original release built from upstream. Moved to gitlab.

 -- ProwlerGr <Prowler73@gmail.com>  Sun, 09 Jun 2024 22:22:22 +1000

66-service-scandir (0.4.1experimental1-1) UNRELEASED; urgency=medium

  * Original release built from upstream.

 -- ProwlerGr <Prowler73@gmail.com>  Fri, 17 May 2024 22:22:22 +1000

=== debian/control ===
Source: 66-service-scandir
Section: init-diversity
Priority: optional
Maintainer: ProwlerGr <Prowler73@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.6.2

Package: 66-service-scandir
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 s6-66-init-antix | s6-66-init-diversity (>= 0.0.1) | s6-66-init (>= 0.0.1),
 66-service-boot (>= 3.8.1),
Recommends:
 66-service-boot-user (>= 0.8.0),
 66-service-seatd (>= 0.0.2),
 66-service-connmand (>= 0.0.2),
 66-service-slim (>= 0.0.2) | 66-service-slimski (>= 0.0.2) | 66-service-lightdm (>= 0.0.2) | 66-service-sddm (>= 0.0.2) | 66-service-lxdm (>= 0.0.2),
 66-service-xdg-user-dirs (>= 0.0.2),
Suggests:
 66-service-turnstill (>= 0.0.2) | 66-service-consolekit (>= 0.0.2) | 66-service-elogind (>= 0.0.2) | 66-service-logind (>= 0.0.2) | 66-service-systemd-logind (>= 0.0.2),
Breaks:
 s6-66-services,
Replaces:
 s6-66-services,
Description: 66 service module to manage scandir under s6-66.
 This package provides service frontend files & handles dependencies 
 for the scandir service on a Debian system running under s6-66.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

#CONFIG_OPT += --package=66-service-scandir
CONFIG_OPT += --version=0.8.1
#
CONFIG_OPT += --prefix=/usr
CONFIG_OPT += --exec-prefix=/usr
#
CONFIG_OPT += --bindir=/usr/bin
CONFIG_OPT += --libdir=/usr/lib/66
CONFIG_OPT += --sysconfdir=/etc
CONFIG_OPT += --datarootdir=/usr/share
CONFIG_OPT += --mandir=/usr/share/man
CONFIG_OPT += --livedir=/run/66
CONFIG_OPT += --with-system-service=/usr/share/66/service
CONFIG_OPT += --with-system-script=/usr/share/66/script
CONFIG_OPT += --with-system-seed=/usr/share/66/seed
CONFIG_OPT += --with-skeleton=/etc/66
CONFIG_OPT += --shebangdir=/usr/lib/execline/bin
CONFIG_OPT += --with-user-service=.66/conf
#
CONFIG_OPT += --LOGGER='!yes'
CONFIG_OPT += --USE_ENVIRONMENT='!no'
CONFIG_OPT += --NOTIFY='!yes'
CONFIG_OPT += --VERBOSITY_LEVEL=!3

%:
	dh $@

override_dh_clean:
	if test -e README.md; then rm -rf README.md; fi
	if test -e config.mak; then rm -rf config.mak; fi
	dh_clean

override_dh_auto_configure:
	./configure -- $(CONFIG_OPT)

override_dh_install:
	dh_install
	# Remove the --bindir paths from service frontends as locations differ in Debian (not always under /usr/bin)
	set -e
	{ for i in *; do sed -i "s\/usr/bin/\ \g" $(CURDIR)/debian/*/usr/share/66/service/* &>/dev/null;  done } 2>/dev/null
	{ for i in *; do sed -i "s\/usr/bin/\ \g" $(CURDIR)/debian/*/usr/share/66/service/user/* &>/dev/null;  done } 2>/dev/null
	# Sometimes the sed -i function leaves a temporary sed* file behind - we absolutely don't want these in our package
	{ for i in *; do rm -rf $(CURDIR)/debian/*/usr/share/66/service/sed* &>/dev/null;  done } 2>/dev/null
	{ for i in *; do rm -rf $(CURDIR)/debian/*/usr/share/66/service/user/sed* &>/dev/null;  done } 2>/dev/null

override_dh_auto_build:

=== debian/watch ===
# Example watch control file for uscan.
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format.

# Compulsory line, this is a version 4 file.
version=4

# Direct Git.
opts="mode=git" https://git.obarun.org/66-service/arch/scandir.git
#    refs/tags/v([\d\.]+)
